package com.lantone.daqe.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 药品匹配信息导入出错-接口出参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "药品匹配信息导入出错-接口出参")
@Getter
@Setter
public class ExportImportDrugErrDTO implements Serializable {

    private static final long serialVersionUID = -5293580591477859209L;

    @Excel(name = "医院药品名称")
    private String name;

    @Excel(name = "标准药品名称")
    private String standard;

    @ApiModelProperty(value = "药品剂型")
    private String dosageForm;

    @ApiModelProperty(value = "国药准字")
    private String approvalNum;

    @Excel(name = "是否匹配【未匹配、已匹配】")
    private String isMapping;

    @Excel(name = "数据来源【不填、标准词、同义词、编码、历史数据、相似词、国药准字】")
    private String synonym;

    @Excel(name = "标准术语状态")
    private String status;

    @Excel(name = "标准剂型状态")
    private String relationstatus;

    @Excel(name = "错误提示" , width = 40)
    private String errMsg;

}