package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取病历数据丢失明细分页列表-接口出参
 * @author: songxl
 * @time: 2022/3/4 10:39
 */
@ApiModel(value = "获取病历数据丢失明细分页列表-接口出参")
@Getter
@Setter
public class GetBlockLossPageDTO implements Serializable {

    private static final long serialVersionUID = -9157314435696856131L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "文书编号")
    private String recId;

    @ApiModelProperty(value = "文书标题")
    private String recTitle;

    @ApiModelProperty(value = "丢失原因")
    private String lossCause;

    @ApiModelProperty(value = "丢失类型: 0:文书丢失 1:病案首页丢失 2:患者信息丢失")
    private String lossType;

    @ApiModelProperty(value = "丢失途径: 0:外部丢失 1:内部丢失")
    private String lossWay;

    @ApiModelProperty(value = "更新时间")
    private Date auditTime;

    @ApiModelProperty(value = "状态: 0:已丢失,1:已恢复")
    private String status;

    @ApiModelProperty(value = "核查结果 0:未通过，1:已通过，2:未核查")
    private String isAudited;

}