package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 已匹配诊断信息查看-接口出参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "已匹配诊断信息查看-接口出参")
@Getter
@Setter
public class GetDiseaseInfoByIdDTO implements Serializable {

    private static final long serialVersionUID = -1129177776572833627L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断代码")
    private String code;

    @ApiModelProperty(value = "医院诊断名称")
    private String name;

    @ApiModelProperty(value = "ICD-10编码")
    private String icd10;

    @ApiModelProperty(value = "标准诊断名称")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

    @ApiModelProperty(value = "已/未匹配")
    private String isMapping;

}