package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取诊断分页列表-接口出参
 * @author: rengb
 * @time: 2022/2/27 14:30
 */
@ApiModel(value = "获取诊断分页列表-接口出参")
@Getter
@Setter
public class GetDiseasePageDTO implements Serializable {

    private static final long serialVersionUID = -1129177776572833627L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断代码")
    private String code;

    @ApiModelProperty(value = "医院诊断名称")
    private String name;

    @ApiModelProperty(value = "ICD-10编码")
    private String icd10;

    @ApiModelProperty(value = "标准诊断名称")
    private String standard;

    @ApiModelProperty(value = "已/未匹配")
    private String isMapping;

}