package com.lantone.daqe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历数据块丢失统计结果表 实体类
 * </p>
 */
@Data
@TableName("dc_blockloss_result")
public class BlocklossResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 组织机构ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病人住院序号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 文书编号/病案首页编号
     */
    @TableField("rec_id")
    private String recId;

    /**
     * 文书标题
     */
    @TableField("rec_title")
    private String recTitle;

    /**
     * 模块id
     */
    @TableField("mode_id")
    private Long modeId;

    /**
     * 丢失原因
     */
    @TableField("loss_cause")
    private String lossCause;

    /**
     * 丢失类型: 0:文书丢失 1:病案首页丢失 2:患者信息丢失
     */
    @TableField("loss_type")
    private String lossType;

    /**
     * 丢失途径: 0:外部丢失 1:内部丢失
     */
    @TableField("loss_way")
    private String lossWay;

    /**
     * 是否通过了人工核查,0:未通过，1:已通过，2:未核查。对于未解决的问题数据，人工进行干预，确认其是否通过校验。
     */
    @TableField("is_audited")
    private String isAudited;

    /**
     * 最近一次人工核查时间
     */
    @TableField("audit_time")
    private Date auditTime;

    /**
     * 入院时间
     */
    @TableField("behospital_date")
    private Date behospitalDate;

    /**
     * 状态: 0:已丢失,1:已恢复
     */
    @TableField("status")
    private String status;

    /**
     * 最近一次机器比对时间
     */
    @TableField("solve_time")
    private Date solveTime;

    /**
     * 最近一次数据补录时间
     */
    @TableField("repair_time")
    private Date repairTime;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}