package com.lantone.daqe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 表字段的实际值问题校验维护汇总表 实体类
 * </p>
 */
@Data
@TableName("dc_column_verify")
public class ColumnVerify implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 数据库表中的列信息记录ID
     */
    @TableField("column_id")
    private Long columnId;

    /**
     * 表中文名
     */
    @TableField("table_cname")
    private String tableCname;

    /**
     * 表英文名
     */
    @TableField("table_ename")
    private String tableEname;

    /**
     * 字段中文名
     */
    @TableField("column_cname")
    private String columnCname;

    /**
     * 字段英文名
     */
    @TableField("column_ename")
    private String columnEname;

    /**
     * 校验类型,0:未知，1:数据缺失，2:标准值，3:正则
     */
    @TableField("type")
    private String type;

    /**
     * 校验表记录ID，如：表字段的非空校验维护表、表字段的实际值与正则式关联表、表字段的标准值校验维护表
     */
    @TableField("verify_id")
    private Long verifyId;

    /**
     * 校验表值
     */
    @TableField("verify_val")
    private String verifyVal;

    /**
     * 描述
     */
    @TableField("description")
    private String description;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}