package com.lantone.daqe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 表字段的非空校验结果表 实体类
 * </p>
 */
@Data
@TableName("dc_nonnull_result")
public class NonnullResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 组织机构ID
     */
    @TableField("hospital_id")
    private Long hospitalId;

    /**
     * 病人住院序号
     */
    @TableField("behospital_code")
    private String behospitalCode;

    /**
     * 医院数据编号
     */
    @TableField("hospital_data_code")
    private String hospitalDataCode;

    /**
     * 医院病历文书模板编号/非文书模块编号
     */
    @TableField("hosptial_datatmp_code")
    private String hosptialDatatmpCode;

    /**
     * 医院病历文书模板名称/非文书模块名称
     */
    @TableField("hosptial_datatmp_name")
    private String hosptialDatatmpName;

    /**
     * 标准数据模块ID
     */
    @TableField("mode_id")
    private Long modeId;

    /**
     * 标准数据模块名称
     */
    @TableField("mode_name")
    private String modeName;

    /**
     * 数据库表中的列信息记录ID
     */
    @TableField("column_id")
    private Long columnId;

    /**
     * 表中文名
     */
    @TableField("table_cname")
    private String tableCname;

    /**
     * 表英文名
     */
    @TableField("table_ename")
    private String tableEname;

    /**
     * 字段中文名
     */
    @TableField("column_cname")
    private String columnCname;

    /**
     * 字段英文名
     */
    @TableField("column_ename")
    private String columnEname;

    /**
     * 校验字段所在表的表记录ID
     */
    @TableField("table_id")
    private Long tableId;

    /**
     * 表字段的值
     */
    @TableField("table_val")
    private String tableVal;

    /**
     * 是否已解决,0:未解决，1:已解决。机器通过比对，若数据问题已解决，则更新为已解决。
     */
    @TableField("is_solved")
    private String isSolved;

    /**
     * 最近一次机器比对时间
     */
    @TableField("solve_time")
    private Date solveTime;

    /**
     * 是否通过了人工核查,0:未通过，1:已通过。对于未解决的问题数据，人工进行干预，确认其是否通过校验。
     */
    @TableField("is_audited")
    private String isAudited;

    /**
     * 最近一次人工核查时间
     */
    @TableField("audit_time")
    private Date auditTime;

    /**
     * 入院日期
     */
    @TableField("behospital_date")
    private Date behospitalDate;

    /**
     * 描述
     */
    @TableField("description")
    private String description;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}