package com.lantone.daqe.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 新增字段校验规则-接口入参
 * @author： zhanghang
 * @time: 2022/3/4 16:03
 */
@ApiModel(value = "新增字段校验规则-接口入参")
@Getter
@Setter
public class AddColumnVerifyVO implements Serializable {


    private static final long serialVersionUID = 9022047248318049371L;
    @ApiModelProperty(value = "组织机构ID", required = true,hidden = true)
    @NotNull(message = "组织机构ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "表字段信息", required = true)
    @NotNull(message = "表信息不能为空")
    private List<ColumnInfoVO> columnList;

    @ApiModelProperty(value = "是否必填,0:否，1:是")
    private String isRequired;

    @ApiModelProperty(value = "正则式ID")
    private Long regularId;

    @ApiModelProperty(value = "正则式名称")
    private String regularName;

    @ApiModelProperty(value = "标准值")
    private List<String> standardValueList;

    @ApiModelProperty(value = "说明")
    private String description;


}
