package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 新增药品-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "新增药品-接口入参")
@Getter
@Setter
public class AddDrugVO implements Serializable {

    private static final long serialVersionUID = -345554179620072672L;

    @ApiModelProperty(value = "组织机构ID", required = true)
    @NotNull(message = "组织机构ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "医院药品代码")
//    @NotBlank(message = "医院药品代码不能为空")
    private String code;

    @ApiModelProperty(value = "医院药品名称", required = true)
    @NotBlank(message = "医院药品名称不能为空")
    private String name;

    @ApiModelProperty(value = "国药准字")
//    @NotBlank(message = "国药准字不能为空")
    private String approvalNum;

}