package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 获取标准词和同义词(一对一)分页列表-接口入参
 * @author: rengb
 * @time: 2022/2/27 11:15
 */
@ApiModel(value = "获取标准词和同义词(一对一)分页列表-接口入参")
@Getter
@Setter
public class GetConceptLibraryPageVO extends Page {

    private static final long serialVersionUID = 4521884666557513363L;

    /**
     * 术语类型,1:诊断，2:手术，3:药品
     */
    @ApiModelProperty(value = "术语类型,1:诊断，2:手术，3:药品", required = true)
    @NotBlank(message = "术语类型不能为空")
    private String type;

    /**
     * 搜索关键词
     */
    @ApiModelProperty(value = "搜索关键词")
    private String word;

}