package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 获取职务职称变更记录-接口入参
 * @author: zhanghang
 * @time: 2022/2/28 17:47
 */
@ApiModel(value = "获取职务职称变更记录-接口入参")
@Getter
@Setter
public class GetOfficialCapacityPageVO extends Page {


    private static final long serialVersionUID = -8083355835387307637L;
    @ApiModelProperty(value = "组织机构ID",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "职务/职称名称")
    private String name;

    @ApiModelProperty(value = "类型：1-职务；2-职称")
    private String type;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "职位/职称变更开始时间")
    private Date changeTimeStart;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "职位/职称变更结束时间")
    private Date changeTimeEnd;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "工号")
    private String doctorCode;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

}