package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 通过id修改手术-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@ApiModel(value = "通过id修改手术-接口入参")
@Getter
@Setter
public class UpOperationByIdVO implements Serializable {

    private static final long serialVersionUID = 5262000808815034181L;

    @ApiModelProperty(value = "手术ID", required = true)
    @NotNull(message = "手术ID不能为空")
    private Long id;

    @ApiModelProperty(value = "组织机构ID", required = true)
    @NotNull(message = "组织机构ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "手术和操作代码", required = true)
    @NotBlank(message = "手术和操作代码不能为空")
    private String code;

    @ApiModelProperty(value = "医院手术/操作名称", required = true)
    @NotBlank(message = "医院手术/操作名称不能为空")
    private String name;

}