-- ----------------------------
-- 1.新增入院记录结构化表
-- ----------------------------
DROP TABLE IF EXISTS `str_admission_note`;
CREATE TABLE `str_admission_note` (
  `rec_id` varchar(100) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) NOT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(50) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(50) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `marriage` varchar(16) DEFAULT NULL COMMENT '婚姻状况',
  `job_type` varchar(32) DEFAULT NULL COMMENT '职业',
  `nation` varchar(32) DEFAULT NULL COMMENT '民族',
  `phone` varchar(32) DEFAULT NULL COMMENT '联系电话',
  `workplace` varchar(256) DEFAULT NULL COMMENT '工作单位',
  `register_address` varchar(256) DEFAULT NULL COMMENT '户口地址',
  `born_address` varchar(256) DEFAULT NULL COMMENT '出生地',
  `expect_date` varchar(100) DEFAULT NULL COMMENT '预产期',
  `last_menstrual` varchar(100) DEFAULT NULL COMMENT '末次月经',
  `pregnant_num` varchar(100) DEFAULT NULL COMMENT '孕/产次',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `history_teller` varchar(64) DEFAULT NULL COMMENT '病史陈述者',
  `chief` varchar(2500) DEFAULT NULL COMMENT '主诉',
  `present` text COMMENT '现病史',
  `past_history` text COMMENT '既往史',
  `personal_history` text COMMENT '个人史',
  `marital_history` text COMMENT '婚育史',
  `menstrual_history` text COMMENT '月经史',
  `family_history` text COMMENT '家族史',
  `feeding_history` text COMMENT '喂养史',
  `operation_history` text COMMENT '手术外伤史',
  `blood_history` text COMMENT '输血史',
  `infection_history` text COMMENT '传染病史',
  `special_vital` text COMMENT '专科检查',
  `assistant_exam` text COMMENT '辅助检查',
  `lis_exam` text COMMENT '实验室检查',
  `pacs_exam` text COMMENT '影像学检查',
  `tentative_diagnosis` varchar(1000) DEFAULT NULL COMMENT '初步诊断',
  `supply_diagnosis` varchar(1000) DEFAULT NULL COMMENT '补充诊断',
  `revised_diagnosis` varchar(1000) DEFAULT NULL COMMENT '修正诊断',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `temperature` varchar(100) DEFAULT NULL COMMENT '体温',
  `pulse` varchar(100) DEFAULT NULL COMMENT '脉搏',
  `breathe` varchar(100) DEFAULT NULL COMMENT '呼吸',
  `blood_pressure` varchar(100) DEFAULT NULL COMMENT '血压',
  `pain` varchar(255) DEFAULT NULL COMMENT '疼痛',
  `weight` varchar(100) DEFAULT NULL COMMENT '体重',
  `height` varchar(100) DEFAULT NULL COMMENT '身高',
  `bmi` varchar(100) DEFAULT NULL COMMENT 'BMI',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`,`behospital_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='入院记录';
-- ----------------------------
-- 1.新增出院小结结构化表
-- ----------------------------
DROP TABLE IF EXISTS `str_leave_hospital`;
CREATE TABLE `str_leave_hospital` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(100) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `leave_hospital_date` datetime DEFAULT NULL COMMENT '出院日期',
  `tentative_diagnosis` varchar(1000) DEFAULT NULL COMMENT '入院诊断',
  `leave_diagnosis` varchar(1500) DEFAULT NULL COMMENT '出院诊断',
  `behospital_day_num` varchar(8) DEFAULT NULL COMMENT '住院天数',
  `behospital_reason` text COMMENT '入院原因',
  `behospital_situation` text COMMENT '入院情况',
  `treatment_process` text COMMENT '诊治经过',
  `leave_hospital_situation` text COMMENT '出院情况',
  `leave_hospital_doctoradvice` text COMMENT '出院医嘱',
  `rec_doctor` varchar(100) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='出院小结';
