package com.lantone.service.cdss;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lantone.entity.cdss.MappingConfig;
import com.lantone.entity.cdss.wrapper.MappingConfigWrapper;
import com.lantone.vo.cdss.MappingConfigPageVO;
import com.lantone.vo.cdss.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 医学术语映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-09
 */
public interface MappingConfigService extends IService<MappingConfig> {
    /**
     * 分页查询
     *
     * @param mappingConfigPageVO
     * @return
     */
    IPage<MappingConfigWrapper> getPage(@Param("mappingConfigPageVO") MappingConfigPageVO mappingConfigPageVO);

    /**
     * 医院术语检索
     *
     * @param retrievalVO
     * @return
     */
    List<MappingConfig> hisNameIndex(RetrievalVO retrievalVO);

    /**
     * 医院术语-细项检索
     *
     * @param retrievalVO
     * @return
     */
    List<MappingConfig> hisDetailNameIndex(RetrievalVO retrievalVO);
}