package com.lantone.service.cdss.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.entity.cdss.MappingConfig;
import com.lantone.entity.cdss.wrapper.MappingConfigWrapper;
import com.lantone.mapper.cdss.MappingConfigMapper;
import com.lantone.service.cdss.MappingConfigService;
import com.lantone.vo.cdss.MappingConfigPageVO;
import com.lantone.vo.cdss.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医学术语映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-09
 */
@Service
public class MappingConfigServiceImpl extends ServiceImpl<MappingConfigMapper, MappingConfig> implements MappingConfigService {
    /**
     * 分页查询
     *
     * @param mappingConfigPageVO
     * @return
     */
    @Override
    public IPage<MappingConfigWrapper> getPage(@Param("mappingConfigPageVO") MappingConfigPageVO mappingConfigPageVO) {
        return baseMapper.getPage(mappingConfigPageVO);
    }

    /**
     * 医院术语检索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<MappingConfig> hisNameIndex(RetrievalVO retrievalVO) {
        return baseMapper.hisNameIndex(retrievalVO);
    }

    /**
     * 医院术语-细项检索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<MappingConfig> hisDetailNameIndex(RetrievalVO retrievalVO) {
        return baseMapper.hisDetailNameIndex(retrievalVO);
    }
}
