package com.lantone.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 申诉审核记录对象
 * @Author songxl
 */
@Data
public class AppealExamineRecordDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申诉id")
    private Long id;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控条目")
    private String casesEntryName;

    @ApiModelProperty(value = "申诉-提示信息(新增已有操作才有值)")
    private String casesEntryMsg;

    @ApiModelProperty(value = "申诉-分值(新增已有操作才有值)")
    private BigDecimal value;

    @ApiModelProperty(value = "申诉人id")
    private String claimantId;

    @ApiModelProperty(value = "申诉类型(0:医生申诉|1:质控申诉)")
    private String appealType;

    @ApiModelProperty(value = "申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）")
    private String appealOperationType;

    @ApiModelProperty(value = "申诉说明")
    private String appealExplain;

    @ApiModelProperty(value = "审核人id")
    private Long checkId;

    @ApiModelProperty(value = "申诉备注")
    private String appealRemark;

    @ApiModelProperty(value = "审核状态：1:驳回|2:通过")
    private String exampleStatus;

    @ApiModelProperty(value = "审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失|5：恢复")
    private String exampleOperation;

    @ApiModelProperty(value = "处理结果")
    private String processResult;

    @ApiModelProperty(value = "驳回理由")
    private String rejectReason;

    @ApiModelProperty(value = "审核备注")
    private String exampleRemark;

    @ApiModelProperty(value = "申诉人姓名")
    private String claimantName;

    @ApiModelProperty(value = "审核人姓名")
    private String checkName;

    @ApiModelProperty(value = "申诉时间")
    private Date appealCreateDate;

    @ApiModelProperty(value = "审核时间")
    private Date appealExamineDate;

    @ApiModelProperty(value = "审核-提示信息")
    private String msg;

    @ApiModelProperty(value = "审核-分值")
    private BigDecimal score;

    @ApiModelProperty(value = "单项否决")
    private String isReject;

    @ApiModelProperty(value = "模块总分")
    private BigDecimal casesScore;
}
