package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.security.dto.GetHospitalUserPageDTO;
import com.lantone.security.dto.GetUserHospitalDeptDTO;
import com.lantone.security.dto.GetUserPageDTO;
import com.lantone.security.vo.GetHospitalUserVO;
import com.lantone.security.vo.GetUserPageVO;
import com.lantone.security.entity.HospitalUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_hospital_user Mapper接口
 * </p>
 */
public interface HospitalUserMapper extends BaseMapper<HospitalUser> {

    IPage<GetUserPageDTO> getUserPage(@Param("getUserPageVO") GetUserPageVO getUserPageVO);

    List<Long> getHospitalUserById(@Param("hospitalId") Long hospitalId, @Param("name") String name);

    List<GetUserHospitalDeptDTO> getUserHospitaDeptById(@Param("userId") Long userId);

    IPage<GetHospitalUserPageDTO> getHospitalUser(@Param("getHospitalUserVO") GetHospitalUserVO getHospitalUserVO);
}