package com.lantone.security.vo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 组织机构参数配置表
 * </p>
 */
@Data
public class SaveHospitalSetVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 组织机构ID
     */
    @ApiModelProperty(value = "医院id")
    private Long hospitalId;

    /**
     * 用戶ID
     */
    @ApiModelProperty(value = "用戶id",hidden = true)
    private Long userId;

    /**
     * 组织机构名称
     */
    @ApiModelProperty(value = "医院名称")
    private String hospitalName;

    /**
     * 参数配置代码
     */
    @ApiModelProperty(value = "参数名",required = true)
    @NotBlank(message = "参数名不能为空")
    private String code;

    /**
     * 参数配置名称
     */
    @ApiModelProperty(value = "参数说明",required = true)
    @NotBlank(message = "参数说明不能为空")
    private String name;

    /**
     * 参数配置值
     */
    @ApiModelProperty(value = "参数值",required = true)
    @NotBlank(message = "参数值不能为空")
    private String val;

    /**
     * 备注
     */
    @ApiModelProperty(value = "参数描述",required = true)
    @NotBlank(message = "参数描述不能为空")
    private String remark;

}